.view-rankings-container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 5px;
  }
  
  .view-rankings-container h2 {
    font-size: 24px;
    color: #333;
    margin-bottom: 20px;
  }
  
  .competition-section, .results-section {
    margin-top: 20px;
  }
  
  .competition-section h3, .results-section h3 {
    font-size: 18px;
    font-weight: bold;
    color: #333;
  }
  
  .competition-section ul {
    list-style: none;
    padding: 0;
  }
  
  .competition-section li {
    margin-bottom: 20px;
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 5px;
    background-color: #fff;
  }
  
  .results-section table {
    width: 100%;
  }
  
  .results-section table th, .results-section table td {
    padding: 10px;
    text-align: left;
    border-bottom: 1px solid #ccc;
  }
  
  .results-section table th {
    background-color: #f5f5f5;
  }
  
  .results-section table tbody tr:nth-child(even) {
    background-color: #f5f5f5;
  }
  
  .back-button {
    background: blue;
    border: none;
    cursor: pointer;
    font-size: 18px; 
  }
  .competition-link {
    cursor: pointer;
    color: blue; 
    text-decoration: underline; 
    transition: color 0.2s; 
  }
  
  .competition-link:hover {
    color: darkblue; 
  }